/**
 * Abstract type specification class
 *
 * @export
 * @abstract
 * @class Type
 */
export declare abstract class Type {
    private _text;
    private _name;
    /**
     * Type element full text
     *
     * @type {string}
     * @memberOf Type
     */
    text: string;
    /**
     * Type name
     *
     * @type {string}
     * @memberOf Type
     */
    name: string;
    /**
     * Creates an instance of Type.
     * @param {string} text Type element full text
     *
     * @memberOf Type
     */
    protected constructor(text: string);
}
