import { Accessibility } from "./accessibility";
import { Property } from "./property";
import { Stereotype } from "./stereotype";
import { Type } from "./type";
/**
 * Member variable property declaration
 *
 * @export
 * @class VariableProperty
 * @extends {Property}
 */
export declare class VariableProperty extends Property {
    private _type;
    /**
     * Type of the variable
     *
     * @type {Type}
     * @memberOf VariableProperty
     */
    type: Type;
    /**
     * Creates an instance of VariableProperty.
     * @param {string} identifier Variable identifier
     * @param {Accessibility} accessibility Member accessibility
     * @param {Type} type Type of the variableÎ
     *
     * @memberOf VariableProperty
     */
    constructor(identifier: string, accessibility: Accessibility, type: Type, stereotype?: Stereotype);
}
